package org.aohe.show;

import cn.hutool.core.io.FileUtil;
import cn.hutool.core.io.resource.ResourceUtil;
import lombok.extern.slf4j.Slf4j;

import java.awt.*;

@Slf4j
public class IconUtil {
   public static Image getIcon() {
       String iconPath = "ah.png";
       if(!FileUtil.exist("ah.png")){
           iconPath = ResourceUtil.getResource("ah.png").getFile();
       }
       log.info("当前查找路径为：{}", FileUtil.getAbsolutePath(iconPath));
       return Toolkit.getDefaultToolkit().getImage(FileUtil.getAbsolutePath(iconPath));
   }
}
